Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2895623002: Remove HttpStreamFactoryImpl::Job::ssl_info_. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by Bence
Modified:
3 months, 1 week ago
Reviewers:
xunjieli
CC:
chromium-reviews, cbentzel+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove HttpStreamFactoryImpl::Job::ssl_info_. This member is not really used to store state long term, so it cleaner to pass around an SSLInfo as function arguments. Also, on an unrelated note, mark members |io_callback_| and |delegate_| const. BUG=475060 Review-Url: https://codereview.chromium.org/2895623002 Cr-Commit-Position: refs/heads/master@{#477746} Committed: https://chromium.googlesource.com/chromium/src/+/b19de73fc2b4c2853bc7bf822865c1eab8e7146a

Patch Set 1 #

Patch Set 2 : Remove unused variable. #

Total comments: 4

Patch Set 3 : Re: #12. #

Patch Set 4 : Rebase. #

Messages

Total messages: 32 (24 generated)
Bence
xunjieli: PTAL. Thank you.
4 months ago (2017-05-19 19:02:24 UTC) #11
xunjieli
https://codereview.chromium.org/2895623002/diff/20001/net/http/http_stream_factory_impl_job.cc File net/http/http_stream_factory_impl_job.cc (right): https://codereview.chromium.org/2895623002/diff/20001/net/http/http_stream_factory_impl_job.cc#newcode567 net/http/http_stream_factory_impl_job.cc:567: GetSSLInfo(&ssl_info); GetSSLInfo() are called with the return value ignored. ...
4 months ago (2017-05-19 22:55:25 UTC) #12
Bence
xunjieli: Thank you for the review. PTAL. https://codereview.chromium.org/2895623002/diff/20001/net/http/http_stream_factory_impl_job.cc File net/http/http_stream_factory_impl_job.cc (right): https://codereview.chromium.org/2895623002/diff/20001/net/http/http_stream_factory_impl_job.cc#newcode567 net/http/http_stream_factory_impl_job.cc:567: GetSSLInfo(&ssl_info); On ...
4 months ago (2017-05-20 17:17:50 UTC) #18
xunjieli
lgtm
3 months, 4 weeks ago (2017-05-22 15:22:11 UTC) #19
Bence
Thank you for the review. This CL conflicts with revert https://crrev.com/2895263003 that landed yesterday, so ...
3 months, 4 weeks ago (2017-05-23 14:51:06 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2895623002/60001
3 months, 1 week ago (2017-06-07 20:13:35 UTC) #28
Bence
https://crrev.com/2895263003 was reverted (https://crrev.com/2814633003 relanded) at https://crrev.com/2910463004, so this CL is ready to land.
3 months, 1 week ago (2017-06-07 20:14:33 UTC) #29
commit-bot: I haz the power
3 months, 1 week ago (2017-06-07 20:19:35 UTC) #32
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/b19de73fc2b4c2853bc7bf822865...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b